import { auth } from "@/auth";
import { SignInOutButton } from "../auth/SignInOutButton";
import ModeToggle from "./ModeToggle";
import TopNav from "./TopNav";

export default async function Header() {
  const session = await auth()

  return (
    <div className="flex items-center justify-between">
      <TopNav />
      <div className="flex items-center justify-between gap-4">
        <SignInOutButton session={session} />
        <ModeToggle />
      </div>
    </div>
  );
}