import type { KanbanCardData } from "@/types/kanban"

export const mockCards: Record<string, KanbanCardData[]> = {
  PENDING: [
    {
      id: "card-1",
      title: "New Commission Request",
      description: "A shaded full body request with background.",
      labels: [
        { id: "l1", name: "Full Body", color: "#6366f1" },
        { id: "l2", name: "Shaded", color: "#10b981" },
      ],
      todos: [
        { id: "t1", text: "Confirm client", done: true },
        { id: "t2", text: "Send invoice", done: false },
        { id: "t3", text: "Start sketch", done: false },
      ],
    },
    {
      id: "c1",
      title: "Initial sketch",
      description: "Draft the sketch layout for the dragon commission.",
      labels: [{ id: "l1", name: "Sketch", color: "#7c3aed" }],
      todos: [
        { id: "t1", text: "Outline basic pose", done: true },
        { id: "t2", text: "Add background elements", done: false },
      ],
    },
    {
      id: "c6",
      title: "Color palette ideas",
      description: "Brainstorm palette options for upcoming sticker set.",
      labels: [{ id: "l3", name: "Palette", color: "#f59e0b" }],
      todos: [
        { id: "t11", text: "Collect 5 references", done: true },
        { id: "t12", text: "Make base color variants", done: false },
      ],
    },
  ],
  ACCEPTED: [
    {
      id: "c2",
      title: "Full body sketch (Fox)",
      description: "Accepted commission from Alex, full body fox.",
      labels: [
        { id: "l2", name: "Commission", color: "#10b981" },
        { id: "l3", name: "Lineart", color: "#3b82f6" },
      ],
      todos: [
        { id: "t3", text: "Line pose", done: false },
        { id: "t4", text: "Inking details", done: false },
      ],
    },
    {
      id: "c7",
      title: "Badge template layout",
      description: "Design a reusable layout for convention badges.",
      labels: [{ id: "l6", name: "Template", color: "#a855f7" }],
      todos: [
        { id: "t13", text: "Vertical layout sketch", done: true },
        { id: "t14", text: "Add social name field", done: false },
      ],
    },
  ],
  IN_PROGRESS: [
    {
      id: "c3",
      title: "Shaded portrait (Wolf)",
      description: "Working on detailed portrait with complex lighting.",
      labels: [
        { id: "l4", name: "Portrait", color: "#f97316" },
        { id: "l5", name: "Shaded", color: "#6366f1" },
      ],
      todos: [
        { id: "t5", text: "Refine shadows", done: false },
        { id: "t6", text: "Color correction", done: false },
      ],
    },
    {
      id: "c8",
      title: "Telegram stickers",
      description: "Finish final 2 stickers for the feline set.",
      labels: [
        { id: "l1", name: "Sticker", color: "#84cc16" },
        { id: "l5", name: "Flat", color: "#eab308" },
      ],
      todos: [
        { id: "t15", text: "Render #5", done: true },
        { id: "t16", text: "Render #6", done: false },
      ],
    },
  ],
  DONE: [
    {
      id: "c4",
      title: "Refsheet (Tiger)",
      description: "Complete refsheet for character submission.",
      labels: [{ id: "l6", name: "Refsheet", color: "#ec4899" }],
      todos: [
        { id: "t7", text: "Label layers", done: true },
        { id: "t8", text: "Export PNG", done: true },
      ],
    },
    {
      id: "c9",
      title: "Artfight entry",
      description: "Submitted and posted Artfight attack.",
      labels: [{ id: "l7", name: "Artfight", color: "#0ea5e9" }],
      todos: [
        { id: "t17", text: "Add watermark", done: true },
        { id: "t18", text: "Post to site", done: true },
      ],
    },
  ],
  REJECTED: [
  {
      id: "c5",
      title: "NSFW icon (cancelled)",
      description: "Client cancelled due to budget.",
      labels: [{ id: "l8", name: "NSFW", color: "#ef4444" }],
      todos: [],
    },
  ],
}
